Method: projects.locations.menus.list

Lists menus.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*}/menus

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of menus. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of menus to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous menus.list call. Provide this to retrieve the subsequent page.

filter

string

Optional. A filter expression that filters the results. The expression syntax is documented in https://google.aip.dev/160.

The following fields are supported: - store

store=projects/my-project/locations/us-central1/brands/my-brand/stores/my-store

view

enum (MenuView)

Optional. The view to return for the menus.

Request body

The request body must be empty.

Response body

Response message for MenuService.ListMenus.

If successful, the response body contains data with the following structure:

JSON representation
{
  "menus": [
    {
      object (Menu)
    }
  ],
  "nextPageToken": string
}
Fields
menus[]

object (Menu)

The menus from the specified collection.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.